DO $$
    DECLARE
        _path character varying(256) := 'patch-2026_06_02-EmailAttachmentsOld';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 16502) THEN
            RETURN;
        END IF;

        BEGIN
 
		ALTER TABLE public."EmailAttachments" DROP COLUMN "FileNameOld" CASCADE;

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;